package com.sky.ioc.mapper.operation;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sky.ioc.entity.domain.operation.Investment;
import com.sky.ioc.entity.params.IocParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface InvestmentMapper extends BaseMapper<Investment> {

    @Select("<script> " +
            "SELECT sum(money) as money,field from investment where 1=1 " +
            "<if test='iocParam!=null and iocParam.timeRange!=null '>" +
            "and start_time between #{iocParam.timeRange.startDate} and #{iocParam.timeRange.endDate} " +
            "</if>" +
            "<if test='iocParam!=null and iocParam.deptId!=null '>" +
            " and dept_id = #{iocParam.deptId} " +
            "</if>" +
            " GROUP BY field ORDER BY money desc  limit 1" +
            "</script>")
    Investment  getTopOne(@Param("iocParam")IocParam iocParam);
}
